Subject: bug#50126: 28.0.50; "mode: conf" and "mode: tex" get unbounded recursion

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 20 Aug 2021 15:58:05 +0200

Bob Rogers <[email-masked]> writes:

> It fails with conf-unix-mode in the simple case of the configuration
> file above; unsurprisingly, I've also seen it fail with conf-space-mode.
> And "mode: tex;" has the same general problem, since it uses the same
> dispatch logic.

Yeah, that's pretty odd dispatch logic, but I guess it's for historical
reasons.

The easy way to hack around this issue is to just disable recursion via
file-local variables, so I've done that now in Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no